Index: /anuga_core/source/anuga/pyvolution/test_data_manager.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_data_manager.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_data_manager.py	(revision 3514)
@@ -5,15 +5,17 @@
 import copy
 from Numeric import zeros, array, allclose, Float
-from utilities.numerical_tools import mean
+from anuga.utilities.numerical_tools import mean
 import tempfile
 import os
 from Scientific.IO.NetCDF import NetCDFFile
 
-from pyvolution.data_manager import *
-from pyvolution.shallow_water import *
-from config import epsilon
-import pyvolution.data_manager
-
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.pyvolution.data_manager import *
+from anuga.pyvolution.shallow_water import *
+from anuga.config import epsilon
+
+# This is needed to run the tests of local functions
+import anuga.pyvolution.data_manager
+
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 class Test_Data_Manager(unittest.TestCase):
@@ -2055,5 +2057,5 @@
         from Numeric import array, zeros, allclose, Float, concatenate, NewAxis
         from Scientific.IO.NetCDF import NetCDFFile
-        from geospatial_data import Geospatial_data
+        from anuga.geospatial_data.geospatial_data import Geospatial_data
 
         # Used for points that lie outside mesh
@@ -2153,5 +2155,5 @@
 
         #Read
-        from coordinate_transforms.redfearn import redfearn
+        from anuga.coordinate_transforms.redfearn import redfearn
         #fid = NetCDFFile(self.test_MOST_file)
         fid = NetCDFFile(self.test_MOST_file + '_ha.nc')
@@ -2216,5 +2218,5 @@
 
 
-        from coordinate_transforms.redfearn import redfearn
+        from anuga.coordinate_transforms.redfearn import redfearn
 
         #fid = NetCDFFile('small_ha.nc')
@@ -2284,5 +2286,5 @@
         # Fourth value (index==3) is -6.50198 cm
 
-        from coordinate_transforms.redfearn import redfearn
+        from anuga.coordinate_transforms.redfearn import redfearn
         import os
         fid1 = NetCDFFile('test_ha.nc','w')
@@ -2444,5 +2446,5 @@
         # Fourth value (index==3) is -6.50198 cm
 
-        from coordinate_transforms.redfearn import redfearn
+        from anuga.coordinate_transforms.redfearn import redfearn
         import os
         fid1 = NetCDFFile('test_ha.nc','w')
@@ -2591,5 +2593,5 @@
     def test_ferret2sww_nz_origin(self):
         from Scientific.IO.NetCDF import NetCDFFile
-        from coordinate_transforms.redfearn import redfearn
+        from anuga.coordinate_transforms.redfearn import redfearn
 
         #Call conversion (with nonzero origin)
@@ -2714,5 +2716,5 @@
         #Import the example's file as a new domain
         ##########################################
-        from data_manager import sww2domain
+        from anuga.pyvolution.data_manager import sww2domain
         from Numeric import allclose
         import os
@@ -2858,5 +2860,5 @@
 	#Import the file as a new domain
         ##################################
-	from data_manager import sww2domain
+	from anuga.pyvolution.data_manager import sww2domain
 	from Numeric import allclose
         import os
@@ -2896,5 +2898,5 @@
 
     #def test_weed(self):
-	from data_manager import weed
+	from anuga.pyvolution.data_manager import weed
 
         coordinates1 = [[0.,0.],[1.,0.],[1.,1.],[1.,0.],[2.,0.],[1.,1.]]
@@ -2969,5 +2971,5 @@
 	#Import the example's file as a new domain
 	##########################################
-	from data_manager import sww2domain
+	from anuga.pyvolution.data_manager import sww2domain
 	from Numeric import allclose
         import os
@@ -3270,5 +3272,5 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        import data_manager
+        from anuga.pyvolution.data_manager import _read_asc
         #Write test asc file
         filename = tempfile.mktemp(".000")
@@ -3286,6 +3288,5 @@
 """)
         fid.close()
-        bath_metadata, grid = \
-                   data_manager._read_asc(filename, verbose=False)
+        bath_metadata, grid = _read_asc(filename, verbose=False)
         self.failUnless(bath_metadata['xllcorner']  == 2000.5,  'Failed')
         self.failUnless(bath_metadata['yllcorner']  == 3000.5,  'Failed')
@@ -3986,5 +3987,5 @@
         # k - lat
         # l - lon
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             -10,4,-10,31)
@@ -4001,5 +4002,5 @@
 
         ## 2nd test
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             0.5,2.5,5,25)
@@ -4016,5 +4017,5 @@
 
         ## 3rd test
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(\
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(\
             latitudes,
             longitudes,
@@ -4033,5 +4034,5 @@
 
         ## 4th test
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
                                                       -0.1,1.9,-2,17)
@@ -4047,5 +4048,5 @@
                          'failed')
         ## 5th test
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             0.1,1.9,2,17)
@@ -4063,5 +4064,5 @@
         ## 6th test
 
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             1.5,4,18,32)
@@ -4080,5 +4081,5 @@
         ## 7th test
         m2d = array([[0,1,2,3],[4,5,6,7],[8,9,10,11],[12,13,14,15]])
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             1.5,1.5,15,15)
@@ -4107,5 +4108,5 @@
         # k - lat
         # l - lon
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             -37,-27,147,149.5)
@@ -4136,5 +4137,5 @@
         # k - lat
         # l - lon
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes,
             -43,-37,148.5,149.5)
@@ -4160,5 +4161,5 @@
         # k - lat
         # l - lon
-        kmin, kmax, lmin, lmax = pyvolution.data_manager._get_min_max_indexes(
+        kmin, kmax, lmin, lmax = anuga.pyvolution.data_manager._get_min_max_indexes(
             latitudes,longitudes)
 
Index: /anuga_core/source/anuga/pyvolution/test_domain.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_domain.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_domain.py	(revision 3514)
@@ -5,5 +5,5 @@
 
 from domain import *
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array, ones, Float
 
@@ -254,5 +254,5 @@
     def test_boundary_indices(self):
 
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
 
 
Index: /anuga_core/source/anuga/pyvolution/test_general_mesh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_general_mesh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_general_mesh.py	(revision 3514)
@@ -9,5 +9,5 @@
 
 from quantity import *
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array, ones, Float
 
Index: /anuga_core/source/anuga/pyvolution/test_generic_boundary_conditions.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_generic_boundary_conditions.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_generic_boundary_conditions.py	(revision 3514)
@@ -5,5 +5,5 @@
 
 from generic_boundary_conditions import *
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array
 
@@ -88,5 +88,5 @@
         T = Transmissive_boundary(domain)
 
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
         domain.set_boundary( {default_boundary_tag: T} )
 
@@ -110,5 +110,5 @@
         import time, os
         from math import sin, pi
-        from config import time_format
+        from anuga.config import time_format
 
         a = [0.0, 0.0]
@@ -152,5 +152,5 @@
         #Convert ASCII file to NetCDF (Which is what we really like!)
         
-        from data_manager import timefile2netcdf                
+        from anuga.pyvolution.data_manager import timefile2netcdf                
         timefile2netcdf(filename, quantity_names = ['stage', 'ymomentum'])
         
@@ -180,5 +180,5 @@
 
         #Check time interpolation
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
         domain.set_boundary( {default_boundary_tag: F} )
 
@@ -203,5 +203,5 @@
         import time, os
         from math import sin, pi
-        from config import time_format
+        from anuga.config import time_format
 
         a = [0.0, 0.0]
@@ -246,5 +246,5 @@
 
         #Convert ASCII file to NetCDF (Which is what we really like!)
-        from data_manager import timefile2netcdf               
+        from anuga.pyvolution.data_manager import timefile2netcdf               
         timefile2netcdf(filename, quantity_names = ['stage', 'xmomentum'])
 
Index: /anuga_core/source/anuga/pyvolution/test_ghost.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_ghost.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_ghost.py	(revision 3514)
@@ -5,5 +5,5 @@
 
 from domain import *
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array, ones, Float
 
Index: /anuga_core/source/anuga/pyvolution/test_interpolate_sww.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_interpolate_sww.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_interpolate_sww.py	(revision 3514)
@@ -8,9 +8,9 @@
 import unittest
 from Numeric import zeros, array, allclose, Float
-from utilities.numerical_tools import mean
+from anuga.utilities.numerical_tools import mean
 
 from interpolate_sww import *
-from pyvolution.shallow_water import Domain, Transmissive_boundary
-from pyvolution.data_manager import get_dataobject
+from anuga.pyvolution.shallow_water import Domain, Transmissive_boundary
+from anuga.pyvolution.data_manager import get_dataobject
 
 
Index: /anuga_core/source/anuga/pyvolution/test_least_squares.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_least_squares.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_least_squares.py	(revision 3514)
@@ -7,10 +7,10 @@
 
 
-from pyvolution.least_squares import *
-from pyvolution.neighbour_mesh import Mesh
+from anuga.pyvolution.least_squares import *
+from anuga.pyvolution.neighbour_mesh import Mesh
 
 from Numeric import allclose, array, transpose
 
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 def distance(x, y):
@@ -1083,5 +1083,5 @@
         #Check basic interpolation of one quantity using averaging
         #(no interpolation points or spatial info)
-        from utilities.numerical_tools import mean        
+        from anuga.utilities.numerical_tools import mean        
         I = Interpolation_function(time, [mean(Q[0,:]),
                                           mean(Q[1,:]),
@@ -1410,5 +1410,5 @@
         """
         
-        from coordinate_transforms.geo_reference import Geo_reference
+        from anuga.coordinate_transforms.geo_reference import Geo_reference
 
         #Mesh
Index: /anuga_core/source/anuga/pyvolution/test_neighbour_mesh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_neighbour_mesh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_neighbour_mesh.py	(revision 3514)
@@ -12,9 +12,9 @@
 from neighbour_mesh import *
 from mesh_factory import rectangular
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array
 
-from coordinate_transforms.geo_reference import Geo_reference
-from utilities.polygon import is_inside_polygon
+from anuga.coordinate_transforms.geo_reference import Geo_reference
+from anuga.utilities.polygon import is_inside_polygon
 
 def distance(x, y):
@@ -567,5 +567,5 @@
         mesh.check_integrity()
 
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
         assert mesh.boundary[ (3, 1) ] == default_boundary_tag
 
@@ -600,5 +600,5 @@
         mesh.check_integrity()
 
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
         assert mesh.boundary[ (0, 0) ] == default_boundary_tag
         assert mesh.boundary[ (0, 2) ] == default_boundary_tag
Index: /anuga_core/source/anuga/pyvolution/test_pmesh2domain.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_pmesh2domain.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_pmesh2domain.py	(revision 3514)
@@ -13,9 +13,9 @@
      Transmissive_boundary
 
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 #This is making pyvolution dependent on pmesh.
 # not good.  this should be in a seperate package.(directory)
-from pmesh.mesh import importMeshFromFile
+from anuga.pmesh.mesh import importMeshFromFile
 
 class Test_pmesh2domain(unittest.TestCase):
Index: /anuga_core/source/anuga/pyvolution/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_quantity.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_quantity.py	(revision 3514)
@@ -6,12 +6,12 @@
 
 from quantity import *
-from config import epsilon
+from anuga.config import epsilon
 from Numeric import allclose, array, ones, Float
 
-from fit_interpolate.fit import fit_to_mesh
-#from pyvolution.least_squares import fit_to_mesh		
+from anuga.fit_interpolate.fit import fit_to_mesh
+#from anuga.pyvolution.least_squares import fit_to_mesh		
 from domain import Domain
-from geospatial_data.geospatial_data import Geospatial_data
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.geospatial_data.geospatial_data import Geospatial_data
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 #Aux for fit_interpolate.fit example
@@ -1061,5 +1061,5 @@
         from shallow_water import Domain, Transmissive_boundary
         from Numeric import zeros, Float
-        from utilities.numerical_tools import mean
+        from anuga.utilities.numerical_tools import mean
 
         #Create basic mesh
@@ -1151,5 +1151,5 @@
         from shallow_water import Domain, Transmissive_boundary
         from Numeric import zeros, Float
-        from utilities.numerical_tools import mean
+        from anuga.utilities.numerical_tools import mean
 
 
Index: /anuga_core/source/anuga/pyvolution/test_region.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_region.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_region.py	(revision 3514)
@@ -6,5 +6,5 @@
 from domain import *
 from region import *
-#from config import epsilon
+#from anuga.config import epsilon
 from Numeric import allclose #, array, ones, Float
 
Index: /anuga_core/source/anuga/pyvolution/test_shallow_water.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_shallow_water.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_shallow_water.py	(revision 3514)
@@ -4,7 +4,7 @@
 from math import sqrt, pi
 
-from config import g, epsilon
+from anuga.config import g, epsilon
 from Numeric import allclose, array, zeros, ones, Float, take
-from utilities.numerical_tools import mean
+from anuga.utilities.numerical_tools import mean
 
 from shallow_water import *
@@ -703,5 +703,5 @@
         """
 
-        from config import g
+        from anuga.config import g
         import copy
 
@@ -751,5 +751,5 @@
         #Assuming no friction
 
-        from config import g
+        from anuga.config import g
 
         a = [0.0, 0.0]
@@ -789,5 +789,5 @@
 
     def test_manning_friction(self):
-        from config import g
+        from anuga.config import g
 
         a = [0.0, 0.0]
@@ -858,5 +858,5 @@
 
     def test_constant_wind_stress(self):
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from math import pi, cos, sin, sqrt
 
@@ -910,5 +910,5 @@
 
     def test_variable_wind_stress(self):
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from math import pi, cos, sin, sqrt
 
@@ -979,8 +979,8 @@
 
     def test_windfield_from_file(self):
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from math import pi, cos, sin, sqrt
-        from config import time_format
-        from util import file_function
+        from anuga.config import time_format
+        from anuga.pyvolution.util import file_function
         import time
 
@@ -1029,5 +1029,5 @@
 
         #Convert ASCII file to NetCDF (Which is what we really like!)
-        from data_manager import timefile2netcdf        
+        from anuga.pyvolution.data_manager import timefile2netcdf        
         timefile2netcdf(filename)
         os.remove(filename + '.txt')
@@ -1095,5 +1095,5 @@
         """
 
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from math import pi, cos, sin, sqrt
 
@@ -1195,5 +1195,5 @@
         #Check that first order limiter follows bed_slope
         from Numeric import alltrue, greater_equal
-        from config import epsilon
+        from anuga.config import epsilon
 
         a = [0.0, 0.0]
@@ -2238,5 +2238,5 @@
 
     def test_flatbed_second_order_distribute(self):
-        #Use real data from pyvolution 2
+        #Use real data from anuga.pyvolution 2
         #painfully setup and extracted.
         from mesh_factory import rectangular
Index: /anuga_core/source/anuga/pyvolution/test_util.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_util.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_util.py	(revision 3514)
@@ -7,9 +7,9 @@
 import tempfile
 
-from util import *
-from config import epsilon
-from data_manager import timefile2netcdf
-
-from utilities.numerical_tools import NAN
+from anuga.pyvolution.util import *
+from anuga.config import epsilon
+from anuga.pyvolution.data_manager import timefile2netcdf
+
+from anuga.utilities.numerical_tools import NAN
 
 def test_function(x, y):
@@ -28,5 +28,5 @@
     #Geometric
     #def test_distance(self):
-    #    from util import distance#
+    #    from anuga.pyvolution.util import distance#
     #
     #    self.failUnless( distance([4,2],[7,6]) == 5.0,
@@ -48,5 +48,5 @@
         #Write file
         import os, time
-        from config import time_format
+        from anuga.config import time_format
         from math import sin, pi
 
@@ -121,5 +121,5 @@
         domain1 = Domain(points, vertices, boundary)
 
-        from utilities.numerical_tools import mean
+        from anuga.utilities.numerical_tools import mean
         domain1.reduction = mean
         domain1.smooth = True #NOTE: Mimic sww output where each vertex has
@@ -319,5 +319,5 @@
 
 
-        from coordinate_transforms.geo_reference import Geo_reference
+        from anuga.coordinate_transforms.geo_reference import Geo_reference
         xllcorner = 2048
         yllcorner = 11000
@@ -331,5 +331,5 @@
         
 
-        from utilities.numerical_tools import mean	
+        from anuga.utilities.numerical_tools import mean	
         domain1.reduction = mean
         domain1.smooth = True #NOTE: Mimic sww output where each vertex has
@@ -531,9 +531,9 @@
 
         import os, time
-        from config import time_format
+        from anuga.config import time_format
         from Numeric import sin, pi, exp
         from mesh_factory import rectangular
         from shallow_water import Domain
-        import data_manager
+        import anuga.pyvolution.data_manager
 
         finaltime = 1200
@@ -691,10 +691,10 @@
 
         import os, time
-        from config import time_format
+        from anuga.config import time_format
         from Numeric import sin, pi, exp
         from mesh_factory import rectangular
         from shallow_water import Domain
-        import data_manager 
-        from pmesh.mesh_interface import create_mesh_from_regions
+        import anuga.pyvolution.data_manager 
+        from anuga.pmesh.mesh_interface import create_mesh_from_regions
         finaltime = 1200
         
@@ -909,5 +909,5 @@
         #Write file
         import os, time, calendar
-        from config import time_format
+        from anuga.config import time_format
         from math import sin, pi
         from domain import Domain
@@ -1001,5 +1001,5 @@
         #Write file
         import os, time, calendar
-        from config import time_format
+        from anuga.config import time_format
         from math import sin, pi
         from domain import Domain
Index: /anuga_core/source/anuga/pyvolution/tsh2sww.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/tsh2sww.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/tsh2sww.py	(revision 3514)
@@ -13,6 +13,6 @@
 from pmesh2domain import pmesh_to_domain_instance
 import time, os 
-from data_manager import get_dataobject   
-from utilities.numerical_tools import mean
+from anuga.pyvolution.data_manager import get_dataobject   
+from anuga.utilities.numerical_tools import mean
 
 def tsh2sww(infilename, sww_file_name = None, verbose = False):
Index: /anuga_core/source/anuga/pyvolution/twolevels.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/twolevels.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/twolevels.py	(revision 3514)
@@ -13,5 +13,5 @@
      Constant_height
 from Numeric import array
-from util import Polygon_function, read_polygon
+from anuga.pyvolution.util import Polygon_function, read_polygon
 
 
Index: /anuga_core/source/anuga/pyvolution/util.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/util.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/util.py	(revision 3514)
@@ -5,8 +5,8 @@
 """
 
-import utilities.polygon
+import anuga.utilities.polygon
 from warnings import warn
 
-from geospatial_data.geospatial_data import ensure_absolute
+from anuga.geospatial_data.geospatial_data import ensure_absolute
 
 
@@ -169,5 +169,5 @@
 
     import time, calendar, types
-    from config import time_format
+    from anuga.config import time_format
     from Scientific.IO.NetCDF import NetCDFFile
     from Numeric import array, zeros, Float, alltrue, concatenate, reshape
@@ -306,5 +306,5 @@
 
     #from least_squares import Interpolation_function
-    from fit_interpolate.interpolate import Interpolation_function
+    from anuga.fit_interpolate.interpolate import Interpolation_function
 
     if not spatial:
@@ -401,8 +401,8 @@
     """Temporary Interface to new location"""
 
-    import utilities.numerical_tools as NT	
+    import anuga.utilities.numerical_tools as NT	
     
     msg = 'angle has moved from util.py.  '
-    msg += 'Please use "from utilities.numerical_tools import angle"'
+    msg += 'Please use "from anuga.utilities.numerical_tools import angle"'
     warn(msg, DeprecationWarning) 
 
@@ -412,8 +412,8 @@
     """Temporary Interface to new location"""
 
-    import utilities.numerical_tools as NT
+    import anuga.utilities.numerical_tools as NT
     
     msg = 'anglediff has moved from util.py.  '
-    msg += 'Please use "from utilities.numerical_tools import anglediff"'
+    msg += 'Please use "from anuga.utilities.numerical_tools import anglediff"'
     warn(msg, DeprecationWarning) 
 
@@ -424,8 +424,8 @@
     """Temporary Interface to new location"""
 
-    import utilities.numerical_tools as NT    
+    import anuga.utilities.numerical_tools as NT    
     
     msg = 'mean has moved from util.py.  '
-    msg += 'Please use "from utilities.numerical_tools import mean"'
+    msg += 'Please use "from anuga.utilities.numerical_tools import mean"'
     warn(msg, DeprecationWarning) 
 
@@ -436,5 +436,5 @@
 
     msg = 'point_on_line has moved from util.py.  '
-    msg += 'Please use "from utilities.polygon import point_on_line"'
+    msg += 'Please use "from anuga.utilities.polygon import point_on_line"'
     warn(msg, DeprecationWarning) 
 
@@ -445,5 +445,5 @@
 
     print 'inside_polygon has moved from util.py.  ',
-    print 'Please use "from utilities.polygon import inside_polygon"'
+    print 'Please use "from anuga.utilities.polygon import inside_polygon"'
 
     return utilities.polygon.inside_polygon(*args, **kwargs)    
@@ -453,5 +453,5 @@
 
     print 'outside_polygon has moved from util.py.  ',
-    print 'Please use "from utilities.polygon import outside_polygon"'
+    print 'Please use "from anuga.utilities.polygon import outside_polygon"'
 
     return utilities.polygon.outside_polygon(*args, **kwargs)    
@@ -462,5 +462,5 @@
 
     print 'separate_points_by_polygon has moved from util.py.  ',
-    print 'Please use "from utilities.polygon import separate_points_by_polygon"'
+    print 'Please use "from anuga.utilities.polygon import separate_points_by_polygon"'
 
     return utilities.polygon.separate_points_by_polygon(*args, **kwargs)    
@@ -472,5 +472,5 @@
 
     print 'read_polygon has moved from util.py.  ',
-    print 'Please use "from utilities.polygon import read_polygon"'
+    print 'Please use "from anuga.utilities.polygon import read_polygon"'
 
     return utilities.polygon.read_polygon(*args, **kwargs)    
@@ -481,5 +481,5 @@
 
     print 'populate_polygon has moved from util.py.  ',
-    print 'Please use "from utilities.polygon import populate_polygon"'
+    print 'Please use "from anuga.utilities.polygon import populate_polygon"'
 
     return utilities.polygon.populate_polygon(*args, **kwargs)    
Index: /anuga_core/source/anuga/pyvolution/view_tsh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/view_tsh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/view_tsh.py	(revision 3514)
@@ -9,6 +9,6 @@
 from shallow_water import Domain
 from pmesh2domain import pmesh_to_domain_instance
-from pyvolution.util import file_function
-from utilities.polygon import Polygon_function, read_polygon
+from anuga.pyvolution.util import file_function
+from anuga.utilities.polygon import Polygon_function, read_polygon
 from Numeric import zeros, Float, maximum, minimum
 from realtime_visualisation_new import *
Index: /anuga_core/source/anuga/utilities/compile.py
===================================================================
--- /anuga_core/source/anuga/utilities/compile.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/compile.py	(revision 3514)
@@ -176,5 +176,5 @@
   #Add Python path + utilities to includelist (see ticket:31)
   #Assume there is only one 'utilities' dir under path dirs
-
+  
   utilities_include_dir = None
   for pathdir in sys.path:
@@ -190,7 +190,8 @@
       #print 'Found %s to be used as include dir' %utilities_include_dir
       break
-     
-
-      
+
+  utilities_include_dir = buildroot + os.sep + "source" + os.sep + "anuga" \
+                          + os.sep + 'utilities'
+ 
 
   
Index: /anuga_core/source/anuga/utilities/numerical_tools.py
===================================================================
--- /anuga_core/source/anuga/utilities/numerical_tools.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/numerical_tools.py	(revision 3514)
@@ -290,5 +290,5 @@
 #Initialise module
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('util_ext.c'):
     from util_ext import gradient, gradient2
Index: /anuga_core/source/anuga/utilities/polygon.py
===================================================================
--- /anuga_core/source/anuga/utilities/polygon.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/polygon.py	(revision 3514)
@@ -13,6 +13,6 @@
 
 from math import sqrt
-from utilities.numerical_tools import ensure_numeric
-from geospatial_data.geospatial_data import ensure_absolute
+from anuga.utilities.numerical_tools import ensure_numeric
+from anuga.geospatial_data.geospatial_data import ensure_absolute
 
 def point_on_line(x, y, x0, y0, x1, y1):
@@ -563,5 +563,5 @@
 
         if geo_reference is None:
-            from coordinate_transforms.geo_reference import Geo_reference
+            from anuga.coordinate_transforms.geo_reference import Geo_reference
             geo_reference = Geo_reference()
 
Index: /anuga_core/source/anuga/utilities/sparse.py
===================================================================
--- /anuga_core/source/anuga/utilities/sparse.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/sparse.py	(revision 3514)
@@ -370,5 +370,5 @@
 
 #Setup for C extensions
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('sparse_ext.c'):
     #Replace python version with c implementation
Index: /anuga_core/source/anuga/utilities/test_cg_solve.py
===================================================================
--- /anuga_core/source/anuga/utilities/test_cg_solve.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/test_cg_solve.py	(revision 3514)
@@ -7,7 +7,7 @@
 
 from Numeric import dot, allclose, array, transpose, arange, ones, Float
-from utilities.cg_solve import *
-from utilities.cg_solve import _conjugate_gradient
-from utilities.sparse import Sparse, Sparse_CSR
+from anuga.utilities.cg_solve import *
+from anuga.utilities.cg_solve import _conjugate_gradient
+from anuga.utilities.sparse import Sparse, Sparse_CSR
 
 
Index: /anuga_core/source/anuga/utilities/test_numerical_tools.py
===================================================================
--- /anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 3513)
+++ /anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 3514)
@@ -5,5 +5,5 @@
 from Numeric import zeros, array, allclose
 from math import sqrt, pi
-from config import epsilon
+from anuga.config import epsilon
 
 from numerical_tools import *
